/* Ingreso */

.bg-login-image img {
    max-width: 400px;
}


/* Menú */

img.menu-logo {
    max-height: 8.375rem;
    max-width: 100%;
    border: solid 2px #036aa4;
}

.nav-link {
    padding: 8px !important;
    color: #ffffff !important;
}


/* Accesos directos */

.accesos-directos a.btn-primary {
    text-align: left !important;
    display: block;
}

.accesos-directos a.btn-primary .icon {
    width: 48px;
    text-align: center;
}


/* Genéricos */

.en-linea {
    display: inline-block;
}

.ocultar {
    display: none;
}

.alinear-derecha {
    text-align: right !important;
}

.alinear-centro {
    text-align: center !important;
}

.aclaracion {
    font-style: italic;
}


/* Tablas */

#tabla-enlazable tr.fila-enlazable:hover {
    background-color: #f5f4f9;
}

#tabla-enlazable tr.fila-enlazable td:hover {
    cursor: pointer;
}

#tabla-enlazable tr.fila-enlazable td a {
    color: #777777;
}

#tabla-enlazable tr.fila-enlazable td a:hover {
    text-decoration: none;
}

.tabla-ancho-auto {
    width: auto;
}

tr.fila-deshabilitada {
    background-color: #eeeeee !important;
    color: #9f9ea3 !important;
}

tr.fila-cc-pagado {
    background: #ccffcc;
}

tr.fila-cc-no-pagado {
    background: #ffcccc;
}

tr input[type=date] {
    max-width: 170px;
    display: inline-block;
}

td.celda-negativa {
    color: #ff0000;
}

tr.fila-total {
    font-weight: bold;
}

.table-dialogo-busqueda {
    background: #fff6ff;
    border: solid 1px #dfdee3;
    width: 100%;
    margin-top: 10px;
}

tr.fila-alinear-medio td {
    vertical-align: middle;
}


/* Sugerir funcionalidad */

.sugerir-funcionalidad {
    display: inline-block;
    float: right;
    position: fixed;
    right: 70px;
    bottom: 20px;
}

@media screen and (max-width: 600px) {
    .card-header .en-linea {
        margin: 0px 10px 10px 0px;
    }
    .table-responsive table {
        width: 100%;
    }
    .table-responsive thead {
        display: none;
    }
    .table-responsive tr:nth-of-type(2n) {
        background-color: inherit;
    }
    .table-responsive tr td:first-child {
        background: #f0f0f0;
        font-weight: bold;
    }
    .table-responsive tbody td,
    .table-responsive tfoot td {
        display: block;
        text-align: left;
    }
    .table-busqueda-responsive td {
        display: inline-block !important;
        border: 0px;
        font-weight: 400;
    }
    .table-busqueda-responsive tr {
        border: solid 1px;
    }
    .table-busqueda-responsive tr.fila-enlazable td:first-child {
        display: none !important;
    }
    .sugerir-funcionalidad {
        display: none !important;
    }
}


/* Formularios */

.formulario-en-dialogo {
    padding: 10px;
}


/* Imágenes */

.foto-perfil-cambio,
.logo-cambio {
    width: 200px;
    max-width: 100%;
    margin-bottom: 5px;
    border: solid 1px #dfdee3;
}


/* Publicidad */

.publicidad.cons_portada {
    margin: 10px;
    /*border: solid 1px #000000;*/
    max-width: 900px;
    overflow: hidden;
}

.publicidad.cons_orden {
    margin: 10px;
    /*border: solid 1px #000000;*/
    height: 400px;
    max-width: 920px;
    overflow-y: hidden;
    overflow-x: auto;
}

.publicidad.cons_portada img,
.publicidad.cons_orden img {
    max-width: 100%;
    max-height: 100%;
}

/* Firma digital */

.firma {
    border: 1px solid #515151;
    border-radius: 5px;
}

/* Zona de arrastre de imágenes */

#drop-zone {
    border: 2px dashed #74b6e0;
    padding: 10px;
    text-align: center;
    background-color: #f9f9f9;
    border-radius: 10px;
    min-height: 150px;
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
}
#drop-zone.highlight {
    background-color: #e0f7fa;
}
#drop-text {
    font-weight: bold;
    margin-bottom: 10px;
}
.preview-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    width: 100%;
    gap: 10px;
}
.preview-box {
    position: relative;
    margin: 5px;
}
.preview-box img {
    width: 100px;
    height: 100px;
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 5px;
}
.delete-btn {
    position: absolute;
    top: 5px;
    right: 5px;
    background: red;
    color: white;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    width: 20px;
    height: 20px;
    text-align: center;
    line-height: 18px;
    font-size: 16px;
}
#total-size {
    width: 100%;
    text-align: center;
    margin-top: 10px;
    font-weight: bold;
}
